Bug 145054 - CAN-2005-0064 xpdf buffer overflow
CAN-2005-0064 xpdf buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Marco Pesenti Gritti
impact=important,embargoed=20050118
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 17:46 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 05:15:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-13 17:46:25 EST
*** This bug has been split off bug 145049 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.13
17:30 -------

iDEFENSE has reported a stack based buffer overflow in xpdf.

The patch is here:
ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.00pl3.patch


The iDEFENSE advisory is attachment 109745 [details]

This issue should also affect FC2.
Comment 1 Josh Bressers 2005-01-14 07:16:43 EST
The patch URL does not yet work.  We don't have a patch from upstream yet.  I'll
update the bugs as soon as I know.
Comment 2 Mark J. Cox (Product Security) 2005-01-19 05:22:58 EST
Now public, see URL for patch, removing embargo
Comment 3 Mark J. Cox (Product Security) 2005-02-15 05:15:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-057.html

Note You need to log in before you can comment on or make changes to this bug.